/**
 * Created by GShark on 10.11.2014.
 */
import java.io.*;
import java.util.*;

public class TestGen {
    public static void main(String[] args) throws IOException {
        new TestGen().run();
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    int tNumber;
    Random rnd;
    final long MAXN = 10;

    int rand(int n) {
        return rnd.nextInt(n);
    }

    long rand(long n) {
        long bits, val;
        do {
            bits = (rnd.nextLong() << 1) >>> 1;
            val = bits % n;
        } while (bits - val + (n - 1) < 0L);
        return val;
    }

    char randDigit() {
        return (char) (rand(10) + '0');
    }

    char randSymbol() {
        if (rand(3) == 1) {
            return randDigit();
        } else {
            return (char) (rand(26) + 'a');
        }
    }

    void print(String s) throws IOException {
        System.err.println(tNumber);
        if (tNumber < 10) {
            out = new PrintWriter("../tests/0" + tNumber);
        } else {
            out = new PrintWriter("../tests/" + tNumber);
        }
        tNumber++;
        out.println(s);
        out.close();
    }

    // here starts gens

    void genSample1() throws IOException {
        print("io1234");
    }

    void genSample2() throws IOException {
        print("ind3038");
    }

    void genSimples() throws IOException {
        print("i1234o");
        print("io");
        print("i");
        print("1");
        print("io12345678");
        print("i012345678");
        print("12io");
        print("io0");
        print("io01");
    }

    void genRandCorrect() throws IOException {
        String s = "io";
        int n = 4 + rand(5);
        for (int i = 0; i < n; i++) {
            s += randDigit();
        }
        print(s);
    }

    void genRandIncorrect() throws IOException {
        String s = "";
        int n = 4 + rand(7);
        for (int i = 0; i < n; i++) {
            s += randSymbol();
        }
        print(s);
    }

    //the end of the gens

    public void generate() throws IOException {
        new File("../tests").mkdir();
        tNumber = 1;
        rnd = new Random(388282447);
        genSample1();
        genSample2();
        genSimples();
        for (int i = 1; i <= 20; i++) {
            genRandCorrect();
            genRandIncorrect();
        }
    }

    public void run() throws IOException {
        Locale.setDefault(Locale.US);
        generate();
    }
}
